Debian Bug report logs - #624794
Missing support for various storage and network devices

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Sun, 1 May 2011 17:03:02 UTC

Severity: important

Merged with 626220

Found in version 2.6.32-33

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Sun, 01 May 2011 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 May 2011 17:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Missing support for various storage and network devices
Date: Sun, 01 May 2011 18:01:09 +0100
Package: linux-2.6
Version: 2.6.32-33
Severity: important

Since Linux 2.6.32 the following updates have been made to storage and
network drivers that might be used during installation.  The list is
based on the Kernel Newbies list and may be incomplete.  I have
excluded CAN and WAN drivers as unlikely to be useful, and SR-IOV VF
drivers as not necessary (they are a useful optimisation but we
already have PV networking drivers).  There are still some platform
drivers in the list that can probably be ignored as not useful in any
current kernel flavour.

I don't think we can cover all of these, even after excluding the
unused platform drivers.  So we'll need to prioritise.

Ben.

2.6.33

3w-sas: new driver; already backported
hpsa: new driver (edd163687ea59f01d6b43c9e1fdaa0126fa30191); mostly
      redundant with cciss but also matches any
      HP RAID device (matches by class not device ID)
pm8001: new driver (dbf9bfe615717d1145f263c0049fe2328e6ed395)
vmw_pvscsi: new driver; already backported
bnx2i: add support for 5771E (5d9e1fa99c2a9a5977f5757f4e0fd02697c995c2)
megaraid_sas: add 'new megaraid SAS 2 controller'; already backported
mpt2sas: add support for SAS2208 (db27136a89d061bf9dceb28953a61a8ef862ca7f)
mvsas: add support for ASC-1045/1405 (7ec4ad0125db0222e397508c190b01c8f2b5f7cd)
octeon_mgmt: new driver; platform driver
wl1251: add support for PG11 chips (2c759e03b3b7639fff23ec3b7bab64a35ca0914f)
sfc: add support for SFC9000 family; already backported
rt2x00: add support for RT2800P/RT2800E family; probably redundant with
        rt2860sta
tg3: add support for 57765 (b703df6f628ab63eaa875232551b1f2f0503b9af) and
     5717 (5001e2f638011859c1351f9fe57ca4e545a15c47)
be2net: Add support for next generation of Bladeengine device
        (12d7ea2c5a5c87834daf9fcd920aab80ff6248b1)
igb: add support for 82580 (55cac248caa4a5f181a11cd2f269a672bef3d3b5,
     bb2ac47bcfd47ed9431ff1676ec8d79250c941c9,
     2909c3f79d933b55bf2485addb1dca762210b6af) and 82576NS
     (747d49baaf4e3f4ad5ae77477830da026eeef69d)
mwl8k: add support for 88w8366 (4912545472d71e3dd546b18b397aec4c89fd7403)
sky2: add support for 88E8059, SK-9E21M; already backported
bnx2x: add support for BCM84823 (4f60dab113230943fb1bc7969053d9a1b6578339)
i2400m: add support for IWL6050 (7329012e673231dee9a21567cfb9881f5ea462ba)
e1000e: add support for 82567V-3 (9e135a2e6266eba276f33c404a2478499bc07ff5)
ixgbe: add support for 82599 X520-P2 (38ad1c8e8c8debf73b28543a3250a01f799f78ef)

2.6.34

pata_via: add support for VIA VX900 (4f1deba435ef75380c1d06fda860c7a15ea16fdf)
ata_piix: add support for Intel Cougar Point in IDE mode
          (88e8201e67aace3d86de9e75122ea525f0e7248e)
ahci: add support for Intel Cougar Point in AHCI/RAID mode
      (5623cab83ea61e0420f2064216d83eab067a24c6)
be2iscsi: add support for BE3 (f98c96b0b6572b5491e954148509b20f08f31491)
hpsa: add device IDs for storageworks 1210m (f8b01eb9049113920f4eb2f944a0c713ce597673)
ipr: add device IDs for new hardware (d7b4627f5f3390a2f350f16c047b3fc3eccce6d8)
cxgb4: new driver
qlcnic: new driver; already backported
greth: new driver
ksz884x: new driver
smsc75xx: new driver
igb: add support for 82576 ET2 (b894fa2627e28c078740dc7041cd08c7e2c353ab)
rt73usb: add support for WLI-U2-H54HP (050e8a47dc8b056c880f380ffd01055669f8fe68)
fs_enet: add support for MPC512x (60ab4361adc188fb47da1c4892cc7a2bb621efef)
ar9170usb: add support for Sphairon Homelink 1202
           (5b6e2f12edd6c46e87a2775321f1912d19be4b35)
ath9k: add support for AR2427; already backported
atl1c: add support for AR8151 and AR8152; already backported

2.6.35

qla2xxx: add support for ISP82XX support
         (a9083016a5314b3aeba6e0d2e814872e72168c08,
         f1af6208c8cef81e313ec2e64b44e783c3a11c13)
ath5k: add support for newer AR9285 chipsets
       (53bc7aa08b48e5cd745f986731cc7dc24eef2a9f)
ath9k: add support for AR9271 chipset (fb9987d0f748c983bb795a86f47522313f701a08)
       and AR9300 (db3cc53a2faea2da5730304af06a77d343f314a5)
ixgbe: add support for 82599 10GBASE-T device
       (119fc60a2d20b63439fdae99f0c7022d3dd99def)
igb: add support for I350 (d2ba2ed8fe3aa796a671a6922119d7171bb49515)
orinoco_usb: new driver
sky2: add support for XL revisions; Yukon EC_U rev B1 and later;
      already backported
qeth: support the new OSA CHPID types OSX and OSM
      (5113fec0984276836cb6f0677f7cb53586ec3451)
iwlwifi: add support for 6000g2 NIC
         (1780221141047c83c99f9d02b504700080cc35c9), 6000 Series 2x2 AGN Gen2
         (0b5af201b25334f7b9c991b2800693dd4cb4b5f7)
iw_cxgb4: new driver

2.6.36

sata_dwc_460ex: new driver; platform driver
pata_samsung_cf: new driver; platform driver
ath9k: add support for the AR9003 2.2 (7284635d2dbc0e055d14bc488c69f8c1d2822ae7)
       and AR7010 (b176286276f85e10e8ab3342730c5e39e1ce460b)
iwlwifi: enable 6000 and 6050 series Gen2 devices
         (0326433995ad43b64ebabdd2390a5d11f33f025b,
         1808972f16adba592ceb10a47dee42ef8ee39cee,
         79d07325502e73508f917475bc1617b60979dd94)
atl1c: add support for AR8151 v2 (8f574b35f22fbb9b5e5f1d11ad6b55b6f35f4533);
       already backported?
phy/broadcom: Add 5241 support (7a938f80264f2cbfb0c0841b450eab42a8093281)
ks8842: Add Micrel KS8841/42 support (28bd620c7a1244e59459d6293ca11f162e0a67b9)
pxa168_eth: new driver; platform driver
phy/marvell: add 88ec048 support (3ff1c25927e3af61c6bf0e4ed959504058ae4565)
ipheth: add support for iPhone 4; already backported

2.6.37

ata_generic: add support for Intel IDE-R (60039a5295b3d82a48fe132c699987d2e1408675)
uas: new driver
carl9170: new driver
pch_gbe: new driver; probably not useful
bna: new driver
bnx2: add 57712 support (f2e0899f0f275cc3f5e9c9726178d7d0ac19b2db)
cx82310_eth: new driver
igb: Add support for DH89xxCC (308fb39a860c816be8741fe783ae7c64e9c1af5d)
cnic: Add support for 57712 device (ee87a82a28cddbb9267a294172ecb3d3d3bdaa6c)
cxgb4i: new driver

2.6.38

ath9k: add support for AR9485 (1435894dcd263fdbdd5e1ea2a684289dff187c34)
be2net: add support for Lancer (fe6d2a38b2076cba515dc95b5dc1589a7ab51c17)
e1000: add support for CE4100 (5377a4160bb65ee4dd11b4b1d081d86d56d92bff);
       probably not important
iwlagn: update PCI ID for 6000g2a series devices
        (fb30eaf38703d7562606e49a5872745d66366a50), update PCI ID for 6000g2b
        series devices (8b37d9f0a1e114a1c7f5082842fb310a81ea3732)
ixgbe: add support for x540 MAC (b93a22260f6f4bcf6c92c54de8530a97d3e921f0)
r8169: more 8168dp support (e6de30d63eb17c5cbb7affdfc71df95286bfa7d9)
rtl8192ce: new driver
rt2x00: Add initial support for RT3370/RT3390 devices
        (f93bc9b3ce379800b30b3c2f4fc945ae35a80039); not sure what to do
        with this
acard-ahci: new driver
megaraid_sas: Add 9565/9285 specific code
              (9c915a8c99bce637226aa09cb05fc18486b229cb)




Added blocking bug(s) of 624794: 574523 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 01 May 2011 18:03:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 624794: 609191 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 01 May 2011 20:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Wed, 04 May 2011 01:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 May 2011 01:27:10 GMT) Full text and rfc822 format available.

Message #14 received at 624794@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 624794@bugs.debian.org
Subject: Re: Missing support for various storage and network devices
Date: Wed, 04 May 2011 02:25:07 +0100
[Message part 1 (text/plain, inline)]
Current status:

Already included in 2.6.32-34:

3w-sas: Backported from 2.6.33 in 2.6.32-6
ahci: Cherry-picked support for Intel Cougar Point in 2.6.32.12, 2.6.32-12
ata_generic: add support for Intel IDE-R (60039a5295b3d82a48fe132c699987d2e1408675)
ata_piix: Cherry-picked support for Intel Cougar Point in 2.6.32.12, 2.6.32-12
ath9k: Cherry-picked support for AR2427 in 2.6.32-9
atl1c: Cherry-picked support for AR8151 and AR8152 in 2.6.32-28
be2net: Cherry-picked support for BE3 in 2.6.32.7..2.6.32.8, 2.6.32-6..2.6.32-8
e1000e: Cherry-picked support for 82567V-3 in 2.6.32.11, 2.6.32-11
ipheth: Cherry-picked support for iPhone 4 in 2.6.32-22
ixgbe: Cherry-picked support for 82599 X520-P2 in 2.6.32.30, 2.6.32-31
megaraid_sas: Cherry-picked support for 9240 etc. in 2.6.32-39
mpt2sas: Cherry-picked support for SAS2208 in 2.6.32.7, 2.6.32-6
mvsas: Cherry-picked support for ASC-1045/1405 in 2.6.32.11, 2.6.32-11
pata_via: Cherry-picked support for VIA VX900 in 2.6.32.12, 2.6.32-12
qlcnic: Backported from 2.6.36(?) in 2.6.32-28
sfc: Backported from 2.6.33 in 2.6.32-3..2.6.32-9
sky2: Backported from 2.6.35 in 2.6.32-22
vmw_pvscsi: Backported from 2.6.33 in 2.6.32-33

Pending in 2.6.32-35:

ar9170usb: Cherry-pick of support for Sphairon Homelink 1202 (and others)
bna: Backport from 2.6.38
bnx2i: Cherry-pick of support for BCM5771E
bnx2x: Cherry-pick of support for BCM84823
hpsa: Backport from 2.6.38. Removed claim to device IDs handled by cciss
pm8001: Backport from 2.6.38
wl1251: Cherry-pick of support for PG11 chips

To do (or not):

acard-ahci: New driver.  Depends on ahci/libahci split so would be tricky
            to backport.
ath9k: add support for newer AR9285 chipsets
       (53bc7aa08b48e5cd745f986731cc7dc24eef2a9f)
ath9k: add support for AR9271 chipset (fb9987d0f748c983bb795a86f47522313f701a08)
       and AR9300 (db3cc53a2faea2da5730304af06a77d343f314a5)
ath9k: add support for the AR9003 2.2 (7284635d2dbc0e055d14bc488c69f8c1d2822ae7)
       and AR7010 (b176286276f85e10e8ab3342730c5e39e1ce460b)
ath9k: add support for AR9485 (1435894dcd263fdbdd5e1ea2a684289dff187c34)
atl1c: Add support for AR8151 v2 (8f574b35f22fbb9b5e5f1d11ad6b55b6f35f4533).
       There are many other changes in the same commit.
be2iscsi: Add support for BE3 (f98c96b0b6572b5491e954148509b20f08f31491).
          This was a new driver in 2.6.32 and based on subsequent commits
          appears to be quite broken.  I would suggest a wholesale backport.
be2net: add support for Lancer (fe6d2a38b2076cba515dc95b5dc1589a7ab51c17)
bnx2x: Add 57712 support (f2e0899f0f275cc3f5e9c9726178d7d0ac19b2db).
       This makes many changes to existing code and will need testing on
       old and new devices.
carl9170: New driver, but seems to be meant as a replacment for ar9170usb
          and has the same device IDs.
cnic: Add support for 57712 device (ee87a82a28cddbb9267a294172ecb3d3d3bdaa6c).
      Probably depends on bnx2x.
cx82310_eth: new driver
cxgb4: new driver
cxgb4i: new driver
e1000: add support for CE4100 (5377a4160bb65ee4dd11b4b1d081d86d56d92bff);
       probably not important
e1000e: add support for 82567V-4 (10df0b9116e2039d5585a196753e5f36d7afcba2)
e1000e: add support for 82579 (d3738bb8203acf8552c3ec8b3447133fc0938ddd)
fs_enet: add support for MPC512x (60ab4361adc188fb47da1c4892cc7a2bb621efef)
greth: new driver
i2400m: add support for IWL6050 (7329012e673231dee9a21567cfb9881f5ea462ba)
igb: Add support for 82580 and 82576NS. Dependencies are complex. (#574523)
igb: add support for 82576 ET2 (b894fa2627e28c078740dc7041cd08c7e2c353ab)
igb: add support for I350 (d2ba2ed8fe3aa796a671a6922119d7171bb49515)
igb: Add support for DH89xxCC (308fb39a860c816be8741fe783ae7c64e9c1af5d)
ipr: add device IDs for new hardware (d7b4627f5f3390a2f350f16c047b3fc3eccce6d8)
iwlagn: update PCI ID for 6000g2a series devices
        (fb30eaf38703d7562606e49a5872745d66366a50), update PCI ID for 6000g2b
        series devices (8b37d9f0a1e114a1c7f5082842fb310a81ea3732)
iwlwifi: add support for 6000g2 NIC
         (1780221141047c83c99f9d02b504700080cc35c9), 6000 Series 2x2 AGN Gen2
         (0b5af201b25334f7b9c991b2800693dd4cb4b5f7)
iwlwifi: enable 6000 and 6050 series Gen2 devices
         (0326433995ad43b64ebabdd2390a5d11f33f025b,
         1808972f16adba592ceb10a47dee42ef8ee39cee,
         79d07325502e73508f917475bc1617b60979dd94)
iw_cxgb4: new driver
ixgbe: add support for 82599 10GBASE-T device
       (119fc60a2d20b63439fdae99f0c7022d3dd99def)
       #609191
ixgbe: add support for x540 MAC (b93a22260f6f4bcf6c92c54de8530a97d3e921f0)
ks8842: Add Micrel KS8841/42 support (28bd620c7a1244e59459d6293ca11f162e0a67b9)
ksz884x: new driver
megaraid_sas: Add 9565/9285 specific code
              (9c915a8c99bce637226aa09cb05fc18486b229cb)
mwl8k: Add support for 88w8366. Dependencies are complex.
octeon_mgmt: new driver; platform driver
orinoco_usb: new driver
pata_samsung_cf: new driver; platform driver
pch_gbe: new driver; probably not useful
phy/broadcom: Add 5241 support (7a938f80264f2cbfb0c0841b450eab42a8093281)
phy/marvell: add 88ec048 support (3ff1c25927e3af61c6bf0e4ed959504058ae4565)
pxa168_eth: new driver; platform driver
qeth: support the new OSA CHPID types OSX and OSM
      (5113fec0984276836cb6f0677f7cb53586ec3451)
qla2xxx: add support for ISP82XX support
         (a9083016a5314b3aeba6e0d2e814872e72168c08,
         f1af6208c8cef81e313ec2e64b44e783c3a11c13)
r8169: more 8168dp support (e6de30d63eb17c5cbb7affdfc71df95286bfa7d9)
rt2x00: add support for RT2800P/RT2800E family; probably redundant with
        rt2860sta
rt2x00: Add initial support for RT3370/RT3390 devices
        (f93bc9b3ce379800b30b3c2f4fc945ae35a80039); not sure what to do
        with this
rt73usb: add support for WLI-U2-H54HP (050e8a47dc8b056c880f380ffd01055669f8fe68)
rtl8192ce: new driver
sata_dwc_460ex: new driver; platform driver
smsc75xx: new driver
tg3: Add support for 5717 and 57765. Dependencies are complex.           
uas: new driver

Priorities:

Of the existing drivers, I would guess that ath9k, e1000e, igb, iwlagn,
iwlwifi, r8169, rt2x00 and tg3 are the most widely used.  Unfortunately
they are also updating quite frequently and likely to be hard to
cherry-pick changes from.  So I think we should do some combination of:

1. Look at what other distributions with Linux 2.6.32 have done with
   these
2. Ask for guidance from the upstream maintainers
3. Where the driver is vendor-maintained, request that the vendor
   tests the backport
4. Try to get broad testing by users in s-p-u or a separate repository

We have fairly limited time to do this before 6.0.2 so whatever we do we
need to move fast.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 624794 626220. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 08:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Thu, 26 May 2011 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 26 May 2011 11:03:09 GMT) Full text and rfc822 format available.

Message #21 received at 624794@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 624794@bugs.debian.org
Subject: Please add support for VMWare drivers (vmxnet3 and vmwgfx)
Date: Thu, 26 May 2011 20:02:12 +0900
Hi,

 As Linux 2.6.33, from http://kernelnewbies.org/Linux_2_6_33

>1.12. VMware drivers
>VMWare has contributed two drivers for the VWware Virtual GPU, and for
> the VMware's virtual Ethernet NIC vmxnet3. Thanks to udev, this means
> that Linux guests running inside a VMware host will have optimal graphic
> and network performance out-of-the-box.
>
>vmwgfx: (commit), (commit) vmxnet3: (commit), (commit)

 http://git.kernel.org/linus/632f61178d0473861ba77e774bb654b37bc7eccc
 http://git.kernel.org/linus/fb1d9738ca053ea8afa5e86af6463155f983b01c

 http://git.kernel.org/linus/d1a890fa37f27d6aca3abc6e25e4148efc3223a6
 http://git.kernel.org/linus/115924b6bdc7cc6bf7da5b933b09281e1f4e17a9


 vmw_pvscsi was already backported in Debian (thanks), but we need 
 network and graphic, too. Enabling those in stable kernel will make
 some users happier :)


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Thu, 26 May 2011 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 26 May 2011 17:09:03 GMT) Full text and rfc822 format available.

Message #26 received at 624794@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Hideki Yamane <henrich@debian.or.jp>, 624794@bugs.debian.org
Subject: Re: Bug#624794: Please add support for VMWare drivers (vmxnet3 and vmwgfx)
Date: Thu, 26 May 2011 10:04:56 -0700
[Message part 1 (text/plain, inline)]
On Thu, 2011-05-26 at 20:02 +0900, Hideki Yamane wrote:
> Hi,
> 
>  As Linux 2.6.33, from http://kernelnewbies.org/Linux_2_6_33
> 
> >1.12. VMware drivers
> >VMWare has contributed two drivers for the VWware Virtual GPU, and for
> > the VMware's virtual Ethernet NIC vmxnet3. Thanks to udev, this means
> > that Linux guests running inside a VMware host will have optimal graphic
> > and network performance out-of-the-box.
> >
> >vmwgfx: (commit), (commit) vmxnet3: (commit), (commit)
> 
>  http://git.kernel.org/linus/632f61178d0473861ba77e774bb654b37bc7eccc
>  http://git.kernel.org/linus/fb1d9738ca053ea8afa5e86af6463155f983b01c
> 
>  http://git.kernel.org/linus/d1a890fa37f27d6aca3abc6e25e4148efc3223a6
>  http://git.kernel.org/linus/115924b6bdc7cc6bf7da5b933b09281e1f4e17a9
> 
> 
>  vmw_pvscsi was already backported in Debian (thanks), but we need 
>  network and graphic, too. Enabling those in stable kernel will make
>  some users happier :)

I backported vmxnet3 in package version 2.6.32-3.

We updated all the DRM drivers to upstream version 2.6.33 in package
version 2.6.32-10, but we didn't enable vmwgfx and I think it might need
some later fixes to be usable (based on
http://airlied.livejournal.com/69291.html ).

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Sat, 28 May 2011 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Hochholdinger <Markus@hochholdinger.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 May 2011 13:48:03 GMT) Full text and rfc822 format available.

Message #31 received at 624794@bugs.debian.org (full text, mbox):

From: Markus Hochholdinger <Markus@hochholdinger.net>
To: 624794@bugs.debian.org
Subject: Re: Missing support for various storage and network devices
Date: Sat, 28 May 2011 15:38:52 +0200
[Message part 1 (text/plain, inline)]
> ixgbe: add support for 82599 10GBASE-T device
>        (119fc60a2d20b63439fdae99f0c7022d3dd99def)

I'd like to see newest Intel network driver ixgbe. I've a few brand new DELL 
R510 servers with "04:00.0 0200: 8086:151c (rev 01)" network cards which the 
stock Debian 6.0 linux kernel can't use.


-- 
greetings

eMHa
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Sat, 28 May 2011 14:11:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 May 2011 14:11:06 GMT) Full text and rfc822 format available.

Message #36 received at 624794@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Markus Hochholdinger <Markus@hochholdinger.net>, 624794@bugs.debian.org
Subject: Re: Bug#624794: Missing support for various storage and network devices
Date: Sat, 28 May 2011 15:05:58 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2011-05-28 at 15:38 +0200, Markus Hochholdinger wrote:
> > ixgbe: add support for 82599 10GBASE-T device
> >        (119fc60a2d20b63439fdae99f0c7022d3dd99def)
> 
> I'd like to see newest Intel network driver ixgbe. I've a few brand new DELL 
> R510 servers with "04:00.0 0200: 8086:151c (rev 01)" network cards which the 
> stock Debian 6.0 linux kernel can't use.

I'm not personally going to work on that, but of course others may.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Mon, 25 Jul 2011 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Gelobter <r.gelobter@limestonenetworks.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Jul 2011 22:21:03 GMT) Full text and rfc822 format available.

Message #41 received at 624794@bugs.debian.org (full text, mbox):

From: Ryan Gelobter <r.gelobter@limestonenetworks.com>
To: "624794@bugs.debian.org" <624794@bugs.debian.org>
Subject: Re: Bug#624794: Missing support for various storage and network
Date: Mon, 25 Jul 2011 17:12:56 -0500
A backport for the Intel 82579LM didn't make it into 6.0.2 release, is this still possibly being worked on for 6.0.3?

Thanks,

Ryan G
Limestone Networks, Inc.




Added blocking bug(s) of 624794: 627700 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 03 Sep 2011 18:42:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 624794: 627704 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 03 Sep 2011 18:42:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 624794: 627705 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 03 Sep 2011 18:42:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Wed, 12 Oct 2011 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Terry Burton <tez@terryburton.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Oct 2011 00:45:03 GMT) Full text and rfc822 format available.

Message #52 received at 624794@bugs.debian.org (full text, mbox):

From: Terry Burton <tez@terryburton.co.uk>
To: 624794@bugs.debian.org
Subject: Re: Bug#624794: Missing support for various storage and network
Date: Wed, 12 Oct 2011 01:05:29 +0100
Regarding possible support for the Intel 82579LM and 82579V in Squeeze:

Many (but not all) devices including an Intel 82579 series NIC have a
hardware fault at 100Mbps that results in packet loss that is worked
around by the following recent patch:
http://patchwork.ozlabs.org/patch/109926/

Upstream commit: 0ed013e28fe853244f4972cf18d8e2bd62eeb8fc

It would be necessary to cherry pick this in order for these NICs to
function at 100Mbps.

More detail is provided in bug #644096.


Thanks,

Terry




Bug 627704 cloned as bug 647004. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 29 Oct 2011 09:30:21 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 624794: 647004 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 29 Oct 2011 19:48:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 624794: 647004 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 29 Oct 2011 19:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Fri, 11 Nov 2011 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Gelobter <r.gelobter@limestonenetworks.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 11 Nov 2011 23:27:03 GMT) Full text and rfc822 format available.

Message #63 received at 624794@bugs.debian.org (full text, mbox):

From: Ryan Gelobter <r.gelobter@limestonenetworks.com>
To: "624794@bugs.debian.org" <624794@bugs.debian.org>
Cc: "luis@rogue-research.com" <luis@rogue-research.com>
Subject: RE: Re: Bug#624794: Missing support for various storage and network
Date: Fri, 11 Nov 2011 17:19:36 -0600
I can confirm Debian 6.0.3 has support for the Intel 82579LM adapter.

Ryan G
Limestone Networks, Inc.

-----Original Message-----
From: Ryan Gelobter 
Sent: Monday, July 25, 2011 5:13 PM
To: 624794@bugs.debian.org
Subject: Re: Bug#624794: Missing support for various storage and network

A backport for the Intel 82579LM didn't make it into 6.0.2 release, is this still possibly being worked on for 6.0.3?

Thanks,

Ryan G
Limestone Networks, Inc.




Added blocking bug(s) of 624794: 666108 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 29 Mar 2012 19:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Wed, 17 Jul 2013 21:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Jul 2013 21:51:08 GMT) Full text and rfc822 format available.

Message #70 received at 624794@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 624794@bugs.debian.org
Subject: Re: Missing support for various storage and network devices
Date: Wed, 17 Jul 2013 23:45:49 +0200
On Sun, May 01, 2011 at 06:01:09PM +0100, Ben Hutchings wrote:
> Package: linux-2.6
> Version: 2.6.32-33
> Severity: important
> 
> Since Linux 2.6.32 the following updates have been made to storage and
> network drivers that might be used during installation.  The list is
> based on the Kernel Newbies list and may be incomplete.  I have
> excluded CAN and WAN drivers as unlikely to be useful, and SR-IOV VF
> drivers as not necessary (they are a useful optimisation but we
> already have PV networking drivers).  There are still some platform
> drivers in the list that can probably be ignored as not useful in any
> current kernel flavour.
> 
> I don't think we can cover all of these, even after excluding the
> unused platform drivers.  So we'll need to prioritise.

Ben, do you plan further driver backports to oldstable or shall we close
the bug?

Cheers,
        Moritz



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Wed, 17 Jul 2013 22:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Jul 2013 22:09:14 GMT) Full text and rfc822 format available.

Message #75 received at 624794@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Moritz Muehlenhoff <jmm@inutil.org>, 624794@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Missing support for various storage and network devices
Date: Wed, 17 Jul 2013 15:07:44 -0700
Moritz Muehlenhoff wrote:
> On Sun, May 01, 2011 at 06:01:09PM +0100, Ben Hutchings wrote:

>> Since Linux 2.6.32 the following updates have been made to storage and
>> network drivers that might be used during installation.  The list is
>> based on the Kernel Newbies list and may be incomplete.  I have
>> excluded CAN and WAN drivers as unlikely to be useful, and SR-IOV VF
>> drivers as not necessary (they are a useful optimisation but we
>> already have PV networking drivers).  There are still some platform
>> drivers in the list that can probably be ignored as not useful in any
>> current kernel flavour.
>>
>> I don't think we can cover all of these, even after excluding the
>> unused platform drivers.  So we'll need to prioritise.
>
> Ben, do you plan further driver backports to oldstable or shall we close
> the bug?

Unless some of these backports are known to fix data loss or
something, I think it makes sense to close.

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#624794; Package linux-2.6. (Wed, 17 Jul 2013 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Jul 2013 23:21:05 GMT) Full text and rfc822 format available.

Message #80 received at 624794@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, 624794@bugs.debian.org
Subject: Re: Missing support for various storage and network devices
Date: Thu, 18 Jul 2013 00:18:27 +0100
On Wed, Jul 17, 2013 at 03:07:44PM -0700, Jonathan Nieder wrote:
> Moritz Muehlenhoff wrote:
> > On Sun, May 01, 2011 at 06:01:09PM +0100, Ben Hutchings wrote:
> 
> >> Since Linux 2.6.32 the following updates have been made to storage and
> >> network drivers that might be used during installation.  The list is
> >> based on the Kernel Newbies list and may be incomplete.  I have
> >> excluded CAN and WAN drivers as unlikely to be useful, and SR-IOV VF
> >> drivers as not necessary (they are a useful optimisation but we
> >> already have PV networking drivers).  There are still some platform
> >> drivers in the list that can probably be ignored as not useful in any
> >> current kernel flavour.
> >>
> >> I don't think we can cover all of these, even after excluding the
> >> unused platform drivers.  So we'll need to prioritise.
> >
> > Ben, do you plan further driver backports to oldstable or shall we close
> > the bug?
> 
> Unless some of these backports are known to fix data loss or
> something, I think it makes sense to close.

Right, I don't ever expect to add any new hardware support to
oldstable.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Thu, 18 Jul 2013 16:36:34 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Thu, 18 Jul 2013 16:36:34 GMT) Full text and rfc822 format available.

Message #85 received at 624794-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 624794-done@bugs.debian.org
Subject: Re: Missing support for various storage and network devices
Date: Thu, 18 Jul 2013 18:31:43 +0200
On Thu, Jul 18, 2013 at 12:18:27AM +0100, Ben Hutchings wrote:
> On Wed, Jul 17, 2013 at 03:07:44PM -0700, Jonathan Nieder wrote:
> > Moritz Muehlenhoff wrote:
> > > On Sun, May 01, 2011 at 06:01:09PM +0100, Ben Hutchings wrote:
> > 
> > >> Since Linux 2.6.32 the following updates have been made to storage and
> > >> network drivers that might be used during installation.  The list is
> > >> based on the Kernel Newbies list and may be incomplete.  I have
> > >> excluded CAN and WAN drivers as unlikely to be useful, and SR-IOV VF
> > >> drivers as not necessary (they are a useful optimisation but we
> > >> already have PV networking drivers).  There are still some platform
> > >> drivers in the list that can probably be ignored as not useful in any
> > >> current kernel flavour.
> > >>
> > >> I don't think we can cover all of these, even after excluding the
> > >> unused platform drivers.  So we'll need to prioritise.
> > >
> > > Ben, do you plan further driver backports to oldstable or shall we close
> > > the bug?
> > 
> > Unless some of these backports are known to fix data loss or
> > something, I think it makes sense to close.
> 
> Right, I don't ever expect to add any new hardware support to
> oldstable.

Let's close it then.

Cheers,
	Moritz



Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Thu, 18 Jul 2013 16:36:35 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Thu, 18 Jul 2013 16:36:35 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Aug 2013 07:27:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:34:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.